xfire和spring整合的问题

wuchongchang 发布于 2011/01/27 16:48
阅读 1K+
收藏 1

 问大家一下,xfire和spring要如何整合呢? 一起用xfire都只是和servlet用,没有用到spring等框架,我怎么整都没整好;请问要如何整呢?还有我加了spring 2.6 的包,和xfire的核心包;

这是错误信息:

严重: Exception sending context initialized event to listener instance of class org.springframework.web.context.ContextLoaderListener

org.springframework.beans.factory.BeanDefinitionStoreException: Line 4 in XML document from file [D:\apache-tomcat-6.0.29\webapps\sapphirew\WEB-INF\classes\com\sapphire\config\spring\app-biz.xml] is invalid; nested exception is org.xml.sax.SAXParseException: Document root element "beans", must match DOCTYPE root "null".

org.xml.sax.SAXParseException: Document root element "beans", must match DOCTYPE root "null".

 

加载中
0
Heroin
Heroin

有spring 2.6么!!

0
wuchongchang
wuchongchang

引用来自#2楼“Heroin”的帖子

有spring 2.6么!!

 是5

0
随影求是
随影求是

xfire的包可能包含spring1.2的jar,检查下,有就删除。

0
wuchongchang
wuchongchang

引用来自#4楼“yangphere”的帖子

xfire的包可能包含spring1.2的jar,检查下,有就删除。

嗯!谢谢你!

0
梦幻女侠
梦幻女侠
请问,你解决了么,我也遇到同样的问题
返回顶部
顶部